#include "vision.h"
#include <bits/stdc++.h>

using namespace std;

vector<int> getVisionPattern1d(){
    return {1, 2, 3};
}

int getMove1d(vector<int> v){
    int mid = (v.size()-1)/2;
    if(v[mid] == 1){
        return v[mid+1]==2 ? mid+1 : mid-1;
    }else if(v[mid] == 2){
        return v[mid+1]==3 ? mid+2 : mid-2;
    }else if(v[mid] == 3){
        return v[mid+1]==1 ? mid+3 : mid-3;
    }
    return 0;
}

vector<vector<int>> getVisionPattern2d(){
    return {{1}};
}

pair<int, int> getMove2d(vector<vector<int>> v){
    return {0, 0};
}
